Page MenuHomePhabricator

Upgrade webdriverio to version 5 in mediawiki/core
Closed, ResolvedPublic

Description

WebdriverIO v5 Released
https://webdriver.io/blog/2018/12/19/webdriverio-v5-released.html

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2019, 11:59 AM

Change 499307 had a related patch set uploaded (by Zfilipin; owner: Jforrester):
[mediawiki/core@master] build: Upgrade webdriverio-related tools to latest

https://gerrit.wikimedia.org/r/499307

zeljkofilipin triaged this task as Normal priority.
zeljkofilipin changed the task status from Open to Stalled.Apr 1 2019, 10:47 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 514085 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] selenium: Re-add all tests and wdio-mocha-framework

https://gerrit.wikimedia.org/r/514085

Change 514085 merged by jenkins-bot:
[mediawiki/core@master] selenium: Re-add all tests and wdio-mocha-framework, now v0.6.4

https://gerrit.wikimedia.org/r/514085

Jdforrester-WMF changed the task status from Stalled to Open.Jun 3 2019, 8:41 PM

No longer stalled; everything relevant in CI is running node 10.

Change 514341 had a related patch set uploaded (by Reedy; owner: Jforrester):
[mediawiki/core@REL1_33] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514341

Change 514349 had a related patch set uploaded (by Reedy; owner: Jforrester):
[mediawiki/core@REL1_32] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514349

Change 514365 had a related patch set uploaded (by Reedy; owner: Jforrester):
[mediawiki/core@REL1_31] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514365

Change 514349 merged by jenkins-bot:
[mediawiki/core@REL1_32] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514349

Change 514341 merged by jenkins-bot:
[mediawiki/core@REL1_33] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514341

Change 514365 merged by jenkins-bot:
[mediawiki/core@REL1_31] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514365

Change 539441 had a related patch set uploaded (by Zfilipin; owner: Krinkle):
[mediawiki/core@master] [WIP] build: Upgrade from webdriver v4 to v5

https://gerrit.wikimedia.org/r/539441

Change 539441 merged by jenkins-bot:
[mediawiki/core@master] selenium: Upgrade from webdriver v4 to v5

https://gerrit.wikimedia.org/r/539441

zeljkofilipin closed this task as Resolved.Oct 1 2019, 10:25 AM
zeljkofilipin assigned this task to Krinkle.
zeljkofilipin awarded a token.
zeljkofilipin renamed this task from Upgrade webdriverio to version 5 to Upgrade webdriverio to version 5 in mediawiki/core.Oct 1 2019, 10:28 AM